Subject: [mpls] label space configuration

From: "shilpa goel" <[email-masked]>
Date: Mon, 4 Dec 2006 10:53:45 +0530

Hi..

  Can you please give me an insight as to how label space (per interface or
per platform) is configured in a LSR i.e. what all considerations need to be
taken into account:

for 2 cases-
    -LSR consisting of only ethernet ports
    -LSR consisting of both ATM and ethernet interfaces

thanks and regards,
Shilpa
_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls

---

From: <[email-masked]>
Date: Mon, 11 Dec 2006 13:31:57 +0100

Hi Shilpa,
 
Perhaps RFC 3036 could be a guideline ? In section 2.2.2, it says the
follwoing:
 
2.2.2. LDP Identifiers
 
   An LDP identifier is a six octet quantity used to identify an LSR
   label space.  The first four octets identify the LSR and must be a
   globally unique value, such as a 32-bit router Id assigned to the
   LSR.  The last two octets identify a specific label space within the
   LSR.  The last two octets of LDP Identifiers for platform-wide label
   spaces are always both zero.  This document uses the following print
   representation for LDP Identifiers:
 
             <LSR Id> : <label space id>
 
   e.g., lsr171:0, lsr19:2.
 
   Note that an LSR that manages and advertises multiple label spaces
   uses a different LDP Identifier for each such label space.
 
   A situation where an LSR would need to advertise more than one label
   space to a peer and hence use more than one LDP Identifier occurs
   when the LSR has two links to the peer and both are ATM (and use per
   interface labels).  Another situation would be where the LSR had two
   links to the peer, one of which is ethernet (and uses per platform
   labels) and the other of which is ATM.
 
Cheers
 
santanu
 
Santanu Ganguly
Swisscom Fixnet Wholesale 
Binz Ring 17
Zurich
Switzerland

________________________________

From: shilpa goel [mailto:[email-masked]] 
Sent: Monday, December 04, 2006 6:24 AM
To: [email-masked]; [email-masked]; [email-masked]
Subject: [mpls] label space configuration

Hi..

  Can you please give me an insight as to how label space (per interface
or per platform) is configured in a LSR i.e. what all considerations
need to be taken into account:

for 2 cases- 

thanks and regards,
Shilpa